Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.plus.webapp
Class PlusDecorator

    java.lang.Object
      org.eclipse.jetty.plus.webapp.PlusDecorator

All Implemented Interfaces:
  ServletContextHandler.Decorator

    public class PlusDecorator

extends java.lang.Object
implements ServletContextHandler.Decorator

WebAppDecorator

Field Summary
`protected WebAppContext` | `_context`

Constructor Summary
`PlusDecorator(WebAppContext context)`

Method Summary
`protected void` | `decorate(java.lang.Object o)`
`void` | `decorateFilterHolder(FilterHolder filter)`
`
`<T extends Filter> T`
` | `decorateFilterInstance(T filter)`
`
`<T extends java.util.EventListener> T`
` | `decorateListenerInstance(T listener)`
`void` | `decorateServletHolder(ServletHolder holder)`
`
`<T extends Servlet> T`
` | `decorateServletInstance(T servlet)`
`protected void` | `destroy(java.lang.Object o)`
`void` | `destroyFilterInstance(Filter f)`
`void` | `destroyListenerInstance(java.util.EventListener l)`
`void` | `destroyServletInstance(Servlet s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _context

    protected WebAppContext _context

Constructor Detail

### PlusDecorator

    public PlusDecorator(WebAppContext context)

Method Detail

### decorateFilterHolder

    public void decorateFilterHolder(FilterHolder filter)
                              throws ServletException

  Specified by:
    `decorateFilterHolder` in interface `ServletContextHandler.Decorator`
  Throws:
    `ServletException`
  See Also:
    `ServletContextHandler.Decorator.decorateFilterHolder(org.eclipse.jetty.servlet.FilterHolder)`

### decorateFilterInstance

    public <T extends Filter> T decorateFilterInstance(T filter)
                                            throws ServletException

  Specified by:
    `decorateFilterInstance` in interface `ServletContextHandler.Decorator`
  Throws:
    `ServletException`
  See Also:
    `ServletContextHandler.Decorator.decorateFilterInstance(javax.servlet.Filter)`

### decorateListenerInstance

    public <T extends java.util.EventListener> T decorateListenerInstance(T listener)
                                                               throws ServletException

  Specified by:
    `decorateListenerInstance` in interface `ServletContextHandler.Decorator`
  Throws:
    `ServletException`
  See Also:
    `ServletContextHandler.Decorator.decorateListenerInstance(java.util.EventListener)`

### decorateServletHolder

    public void decorateServletHolder(ServletHolder holder)
                               throws ServletException

  Specified by:
    `decorateServletHolder` in interface `ServletContextHandler.Decorator`
  Throws:
    `ServletException`
  See Also:
    `ServletContextHandler.Decorator.decorateServletHolder(org.eclipse.jetty.servlet.ServletHolder)`

### decorateServletInstance

    public <T extends Servlet> T decorateServletInstance(T servlet)
                                              throws ServletException

  Specified by:
    `decorateServletInstance` in interface `ServletContextHandler.Decorator`
  Throws:
    `ServletException`
  See Also:
    `ServletContextHandler.Decorator.decorateServletInstance(javax.servlet.Servlet)`

### destroyFilterInstance

    public void destroyFilterInstance(Filter f)

  Specified by:
    `destroyFilterInstance` in interface `ServletContextHandler.Decorator`
  See Also:
    `ServletContextHandler.Decorator.destroyFilterInstance(javax.servlet.Filter)`

### destroyServletInstance

    public void destroyServletInstance(Servlet s)

  Specified by:
    `destroyServletInstance` in interface `ServletContextHandler.Decorator`
  See Also:
    `ServletContextHandler.Decorator.destroyServletInstance(javax.servlet.Servlet)`

### destroyListenerInstance

    public void destroyListenerInstance(java.util.EventListener l)

  Specified by:
    `destroyListenerInstance` in interface `ServletContextHandler.Decorator`
  See Also:
    `ServletContextHandler.Decorator.destroyListenerInstance(java.util.EventListener)`

### decorate

    protected void decorate(java.lang.Object o)
                     throws ServletException

  Throws:
    `ServletException`

### destroy

    protected void destroy(java.lang.Object o)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.